// -*- mode:c++; compile-command:" c++ -I.. -I. -fPIC -DPIC -g -O2 -c giac_truc.cpp -o giac_truc.lo && cc -shared giac_truc.lo -lgiac -lc -Wl,-soname -Wl,libgiac_trucso.0 -o libgiac_truc.so.0.0.0 && ln -sf libgiac_truc.so.0.0.0 libgiac_truc.so" -*-
#include <giac/config.h>
#include <giac/giac.h>
using namespace std;
namespace giac {
  inline bool operator <= (const gen & a, const gen & b) {
    return is_greater (b, a, giac::context0);
  }
  inline bool operator >= (const gen & a, const gen & b) {
    return is_greater (a, b, giac::context0);
  }
  giac::gen truc (long n_i, const giac::context * contextptr = 0) {
    giac::makevecteur (n_i, return 2 * n_i + 1)
  }
  giac::gen _truc (const giac::gen & g, const giac::context * contextptr) {
    return truc (cpp_convert_2 (g, contextptr), contextptr);
  }

  const string _truc_s ("truc");
  unary_function_eval __truc (0, &_truc, _truc_s);
  unary_function_ptr at_truc (&__truc, 0, true);
}
